Package twisted :: Package conch :: Package ssh :: Module userauth :: Class SSHUserAuthServer |
[show private | hide private]
[frames | no frames]

## Class SSHUserAuthServer

    SSHService --+
                 |
                SSHUserAuthServer

Method Summary
| `areDone(self)`
| `auth_keyboard_interactive(self, ident, packet)`
| `auth_password(self, ident, packet)`
| `auth_publickey(self, ident, packet)`
| ``packetReceived`(self, messageType, packet)` called when we receieve a packet on the transport (inherited from `SSHService`)
| ``serviceStarted`(self)` called when the service is active on the transport.
| ``serviceStopped`(self)` called when the service is stopped, either by the connection ending or by another service being started
| `ssh_USERAUTH_INFO_RESPONSE(self, packet)`
| `ssh_USERAUTH_REQUEST(self, packet)`
| `timeoutAuthentication(self)`
| `tryAuth(self, kind, user, data)`
| `verifySignatureFor(self, ident, blob, signature)`
| `_cbGoodAuth(self, foo)`
| `_cbToVerifySig(self, ignored, ident, blob, signature)`
| `_cbTryAuth(self, identity, kind, data)`
| `_cbValidateKey(self, ignored, packet)`
| `_ebBadAuth(self, reason)`
| `_pamConv(self, items)`

Class Variable Summary
`int` | `attemptsBeforeDisconnect`
`int` | `loginTimeout`
`str` | `name`
`dict` | `protocolMessages`
`list` | `supportedMethods`

Method Details

### serviceStarted(self) called when the service is active on the transport. Overrides: `twisted.conch.ssh.service.SSHService.serviceStarted` (inherited documentation)

### serviceStopped(self) called when the service is stopped, either by the connection ending or by another service being started Overrides: `twisted.conch.ssh.service.SSHService.serviceStopped` (inherited documentation)

Class Variable Details

    ### attemptsBeforeDisconnect Type: `int` Value:
        20

    ### loginTimeout Type: `int` Value:
        36000

    ### name Type: `str` Value:
        'ssh-userauth'

    ### protocolMessages Type: `dict` Value:
        {50: 'MSG_USERAUTH_REQUEST',
         51: 'MSG_USERAUTH_FAILURE',
         52: 'MSG_USERAUTH_SUCCESS',
         53: 'MSG_USERAUTH_BANNER',
         60: 'MSG_USERAUTH_PK_OK',
         61: 'MSG_USERAUTH_INFO_RESPONSE'}

    ### supportedMethods Type: `list` Value:
        ['publickey', 'password', 'keyboard-interactive']

Generated by Epydoc 1.1 on Thu May 8 13:18:20 2003 | http://epydoc.sf.net